> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Settlement Status

> Name and signature indicate it refreshs settlement status

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/refresh-settlement-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/refresh-settlement-status:
    post:
      operationId: refreshSettlementStatus
      summary: Refresh Settlement Status
      description: |-
        Name and signature indicate it refreshs settlement status

        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshSettlementStatusRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshSettlementStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    RefreshSettlementStatusRequest:
      type: object
      properties:
        transactionIDs:
          type: array
          items:
            type: string
          minItems: 1
          maxItems: 50
        orgID:
          type: string
      required:
        - transactionIDs
        - orgID
    RefreshSettlementStatusResponse:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              transactionID:
                type: string
              taxReferenceID:
                type: string
              providerName:
                type: string
                enum:
                  - SAFE
                  - SAFE_PROPOSER
                  - ANCHORAGE
                  - FIREBLOCKS
                  - SQUADS
                  - COINBASE
                  - FILECOIN_SELF_CUSTODY
                  - FORDEFI
                  - BITGO
              previousStatus:
                type: string
              newStatus:
                type: string
              updated:
                type: boolean
              settled:
                type: boolean
              settlementWarning:
                type: string
              error:
                type: string
            required:
              - transactionID
              - taxReferenceID
              - providerName
              - previousStatus
              - newStatus
              - updated
        totalUpdated:
          type: integer
          minimum: 0
        totalFailed:
          type: integer
          minimum: 0
        totalUnchanged:
          type: integer
          minimum: 0
      required:
        - results
        - totalUpdated
        - totalFailed
        - totalUnchanged
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
